krb5-mini-1.12.5-19.1.x86_64.rpm


Advertisement

Description

krb5-mini - MIT Kerberos5 implementation and libraries with minimal dependencies

Property Value
Distribution openSUSE Leap 42.3
Repository openSUSE Update Oss all
Package filename krb5-mini-1.12.5-19.1.x86_64.rpm
Package name krb5-mini
Package version 1.12.5
Package release 19.1
Package architecture x86_64
Package type rpm
Category Productivity/Networking/Security
Homepage http://web.mit.edu/kerberos/www/
License MIT
Maintainer -
Download size 1010.17 KB
Installed size 3.21 MB
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of clear text passwords.
The package delivers MIT Kerberos with reduced features and minimal
dependencies.

Alternatives

Package Version Architecture Repository
krb5-mini-1.12.5-25.1.x86_64.rpm 1.12.5 x86_64 openSUSE Update Oss
krb5-mini-1.12.5-22.1.x86_64.rpm 1.12.5 x86_64 openSUSE Update Oss
krb5-mini-1.12.5-16.1.x86_64.rpm 1.12.5 x86_64 openSUSE Update Oss
krb5-mini-1.12.5-12.1.x86_64.rpm 1.12.5 x86_64 openSUSE Update Oss
krb5-mini-1.12.5-9.1.x86_64.rpm 1.12.5 x86_64 openSUSE Update Oss
krb5-mini-1.12.5-7.3.x86_64.rpm 1.12.5 x86_64 openSUSE Oss
krb5-mini - - -

Requires

Name Value
libc.so.6(GLIBC_2.16)(64bit) -
libcom_err.so.2()(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libkeyutils.so.1()(64bit) -
libkeyutils.so.1(KEYUTILS_0.3)(64bit) -
libkeyutils.so.1(KEYUTILS_1.0)(64bit) -
libkeyutils.so.1(KEYUTILS_1.5)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libresolv.so.2()(64bit) -
libresolv.so.2(GLIBC_2.2.5)(64bit) -
libresolv.so.2(GLIBC_2.9)(64bit) -
libselinux.so.1()(64bit) -
libss.so.2()(64bit) -
libverto-libev1 -
libverto.so.1()(64bit) -

Provides

Name Value
config(krb5-mini) = 1.12.5-19.1
db2.so.0()(64bit) -
db2.so.0(HIDDEN)(64bit) -
db2.so.0(db2_0_MIT)(64bit) -
krb5-mini = 1.12.5-19.1
krb5-mini(x86-64) = 1.12.5-19.1
libgssapi_krb5.so.2()(64bit) -
libgssapi_krb5.so.2(HIDDEN)(64bit) -
libgssapi_krb5.so.2(gssapi_krb5_2_MIT)(64bit) -
libgssrpc.so.4()(64bit) -
libgssrpc.so.4(HIDDEN)(64bit) -
libgssrpc.so.4(gssrpc_4_MIT)(64bit) -
libk5crypto.so.3()(64bit) -
libk5crypto.so.3(HIDDEN)(64bit) -
libk5crypto.so.3(k5crypto_3_MIT)(64bit) -
libkadm5clnt_mit.so.9()(64bit) -
libkadm5clnt_mit.so.9(HIDDEN)(64bit) -
libkadm5clnt_mit.so.9(kadm5clnt_mit_9_MIT)(64bit) -
libkadm5srv_mit.so.9()(64bit) -
libkadm5srv_mit.so.9(HIDDEN)(64bit) -
libkadm5srv_mit.so.9(kadm5srv_mit_9_MIT)(64bit) -
libkdb5.so.7()(64bit) -
libkdb5.so.7(HIDDEN)(64bit) -
libkdb5.so.7(kdb5_7_MIT)(64bit) -
libkrad.so.0()(64bit) -
libkrad.so.0(HIDDEN)(64bit) -
libkrad.so.0(krad_0_MIT)(64bit) -
libkrb5.so.3()(64bit) -
libkrb5.so.3(HIDDEN)(64bit) -
libkrb5.so.3(krb5_3_MIT)(64bit) -
libkrb5support.so.0()(64bit) -
libkrb5support.so.0(HIDDEN)(64bit) -
libkrb5support.so.0(krb5support_0_MIT)(64bit) -

Conflicts

Name Value
krb5 -
krb5-client -
krb5-plugin-kdb-ldap -
krb5-plugin-preauth-otp -
krb5-plugin-preauth-pkinit -
krb5-server -

Obsoletes

Name Value
krb5-plugin-preauth-pkinit-nss -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package krb5-mini-1.12.5-19.1.x86_64.rpm
Source Package krb5-mini-1.12.5-19.1.src.rpm

Install Howto

Install krb5-mini rpm package:

# zypper install krb5-mini

Files

Path
/etc/krb5.conf
/etc/logrotate.d/krb5-server
/etc/profile.d/krb5.csh
/etc/profile.d/krb5.sh
/etc/sysconfig/SuSEfirewall2.d/services/kadmind
/etc/sysconfig/SuSEfirewall2.d/services/kdc
/usr/bin/kinit
/usr/bin/klist
/usr/lib/mit/
/usr/lib/mit/bin/gss-client
/usr/lib/mit/bin/k5srvutil
/usr/lib/mit/bin/kadmin
/usr/lib/mit/bin/kdestroy
/usr/lib/mit/bin/kinit
/usr/lib/mit/bin/klist
/usr/lib/mit/bin/kpasswd
/usr/lib/mit/bin/ksu
/usr/lib/mit/bin/kswitch
/usr/lib/mit/bin/ktutil
/usr/lib/mit/bin/kvno
/usr/lib/mit/bin/sclient
/usr/lib/mit/bin/sim_client
/usr/lib/mit/bin/uuclient
/usr/lib/mit/sbin/gss-server
/usr/lib/mit/sbin/kadmin.local
/usr/lib/mit/sbin/kadmind
/usr/lib/mit/sbin/kdb5_util
/usr/lib/mit/sbin/kprop
/usr/lib/mit/sbin/kpropd
/usr/lib/mit/sbin/kproplog
/usr/lib/mit/sbin/krb5kdc
/usr/lib/mit/sbin/sim_server
/usr/lib/mit/sbin/sserver
/usr/lib/mit/sbin/uuserver
/usr/lib/systemd/system/kadmind.service
/usr/lib/systemd/system/kpropd.service
/usr/lib/systemd/system/krb5kdc.service
/usr/lib64/libgssapi_krb5.so
/usr/lib64/libgssapi_krb5.so.2
/usr/lib64/libgssapi_krb5.so.2.2
/usr/lib64/libgssrpc.so.4
/usr/lib64/libgssrpc.so.4.2
/usr/lib64/libk5crypto.so.3
/usr/lib64/libk5crypto.so.3.1
/usr/lib64/libkadm5clnt_mit.so.9
/usr/lib64/libkadm5clnt_mit.so.9.0
/usr/lib64/libkadm5srv_mit.so.9
/usr/lib64/libkadm5srv_mit.so.9.0
/usr/lib64/libkdb5.so.7
/usr/lib64/libkdb5.so.7.0
/usr/lib64/libkrad.so.0
/usr/lib64/libkrad.so.0.0
/usr/lib64/libkrb5.so.3
/usr/lib64/libkrb5.so.3.3
/usr/lib64/libkrb5support.so.0
/usr/lib64/libkrb5support.so.0.1
/usr/lib64/krb5/
/usr/lib64/krb5/plugins/
/usr/lib64/krb5/plugins/kdb/db2.so
/usr/lib64/krb5/plugins/libkrb5/
/usr/lib64/krb5/plugins/preauth/
/usr/sbin/rckadmind
/usr/sbin/rckpropd
/usr/sbin/rckrb5kdc
/usr/share/doc/packages/krb5/README
/usr/share/locale/en_US/LC_MESSAGES/mit-krb5.mo
/usr/share/man/man1/k5srvutil.1.gz
/usr/share/man/man1/kadmin.1.gz
/usr/share/man/man1/kdestroy.1.gz
/usr/share/man/man1/kinit.1.gz
/usr/share/man/man1/klist.1.gz
/usr/share/man/man1/kpasswd.1.gz
/usr/share/man/man1/ksu.1.gz
/usr/share/man/man1/kswitch.1.gz
/usr/share/man/man1/ktutil.1.gz
/usr/share/man/man1/kvno.1.gz
/usr/share/man/man1/sclient.1.gz
/usr/share/man/man5/.k5identity.5.gz
/usr/share/man/man5/.k5login.5.gz
/usr/share/man/man5/k5identity.5.gz
/usr/share/man/man5/k5login.5.gz
/usr/share/man/man5/kadm5.acl.5.gz
/usr/share/man/man5/kdc.conf.5.gz
/usr/share/man/man5/krb5.conf.5.gz
/usr/share/man/man8/kadmin.local.8.gz
/usr/share/man/man8/kadmind.8.gz
/usr/share/man/man8/kdb5_ldap_util.8.gz
/usr/share/man/man8/kdb5_util.8.gz
/usr/share/man/man8/kprop.8.gz
/usr/share/man/man8/kpropd.8.gz
/usr/share/man/man8/kproplog.8.gz
/usr/share/man/man8/krb5kdc.8.gz
/usr/share/man/man8/sserver.8.gz
/var/adm/fillup-templates/sysconfig.kadmind
/var/adm/fillup-templates/sysconfig.krb5kdc
/var/lib/kerberos/
/var/lib/kerberos/krb5/
/var/lib/kerberos/krb5/user/
/var/lib/kerberos/krb5kdc/kadm5.acl
/var/lib/kerberos/krb5kdc/kadm5.dict
/var/lib/kerberos/krb5kdc/kdc.conf
/var/log/krb5/

Changelog

2017-09-05 - hguo@suse.com
- Introduce patch 0109-Preserve-GSS-context-on-init-accept-failure.patch
to fix CVE-2017-11462 of bsc#1056995.
2017-08-17 - hguo@suse.com
- Set "rdns" and "dns_canonicalize_hostname" to false in krb5.conf
in order to improve client security in handling service principle
names. (bsc#1054028)
2016-08-15 - hguo@suse.com
- Remove unneeded prerequisites from spec file. (bsc#992853)
2016-07-02 - foss@grueninger.de
- Fix build with doxygen 1.8.8 - adding krb5-1.12-doxygen.patch
from rev128 of network/krb5 (bsc#982313#c2)
2016-06-13 - hguo@suse.com
- Remove source file ccapi/common/win/OldCC/autolock.hxx
that is not needed and does not carry an acceptable license.
(bsc#968111)
2016-02-11 - hguo@suse.com
- Upgrade from version 1.12.1 to 1.12.5.
The new maintenance release brings accumulated defect fixes.
- The following patches are now present in the source bundle,
thus removed from build individual patch files:
* 0001-Fix-krb5_read_message-handling-CVE-2014-5355.patch
* 0001-Prevent-requires_preauth-bypass-CVE-2015-2694.patch
* 0100-Fix-build_principal-memory-bug-CVE-2015-2697.patch
* 0101-Fix-IAKERB-context-aliasing-bugs-CVE-2015-2696.patch
* 0102-Fix-SPNEGO-context-aliasing-bugs-CVE-2015-2695.patch
* 0103-Fix-IAKERB-context-export-import-CVE-2015-2698.patch
* bnc#912002.diff
* krb5-1.12-CVE-2014-4341-CVE-2014-4342.patch
* krb5-1.12-CVE-2014-4343-Fix-double-free-in-SPNEGO.patch
* krb5-1.12-CVE-2014-4344-Fix-null-deref-in-SPNEGO-acceptor.patch
* krb5-1.12-CVE-2014-4345-buffer-overrun-in-kadmind-with-LDAP-backend.patch
* krb5-1.12.2-CVE-2014-5353.patch
* krb5-1.12.2-CVE-2014-5354.patch
* krb5-master-keyring-kdcsync.patch
- Line numbers in the following patches are slightly adjusted to fit
into this new source version:
* krb5-1.6.3-ktutil-manpage.dif
* krb5-1.7-doublelog.patch
- Remove krb5 pieces from spec file. Thus removing pre-checkin.sh
- Remove expired macros and other minor clean-ups in spec file.
- Change package description to explain what "mini" means.
- Apply the following patches to catch up with krb5-server:
0104-Verify-decoded-kadmin-C-strings-CVE-2015-8629.patch
0105-Fix-leaks-in-kadmin-server-stubs-CVE-2015-8631.patch
0106-Check-for-null-kadm5-policy-name-CVE-2015-8630.patch
- Use system libverto to substitute built-in libverto.
Implement fate#320326
2015-07-13 - varkoly@suse.com
- bnc#928978 - (CVE-2015-2694) VUL-0: CVE-2015-2694: krb5: issues
in OTP and PKINIT kdcpreauth modules leading to requires_preauth bypass
patches:
0001-Prevent-requires_preauth-bypass-CVE-2015-2694.patch
2015-03-11 - varkoly@suse.com
- bnc#918595 VUL-0: CVE-2014-5355: krb5: denial of service in krb5_read_message
patches:
0001-Fix-krb5_read_message-handling-CVE-2014-5355.patch
2015-03-11 - varkoly@suse.com
- bnc#910457: CVE-2014-5353: NULL pointer dereference when using a ticket policy name as password name
- bnc#910458: CVE-2014-5354: NULL pointer dereference when using keyless entries
patches:
krb5-1.12.2-CVE-2014-5353.patch
krb5-1.12.2-CVE-2014-5354.patch
2015-01-07 - varkoly@suse.com
- bnc#912002 VUL-0: CVE-2014-5352 CVE-2014-9421 CVE-2014-9422 CVE-2014-9423:
krb5: Vulnerabilities in kadmind, libgssrpc, gss_process_context_token
- added patches:
* bnc#912002.diff

See Also

Package Description
krb5-mini-devel-1.12.5-12.1.x86_64.rpm MIT Kerberos5 - Include Files and Libraries
krb5-mini-devel-1.12.5-16.1.x86_64.rpm MIT Kerberos5 - Include Files and Libraries
krb5-mini-devel-1.12.5-19.1.x86_64.rpm MIT Kerberos5 - Include Files and Libraries
krb5-mini-devel-1.12.5-22.1.x86_64.rpm MIT Kerberos5 - Include Files and Libraries
krb5-mini-devel-1.12.5-25.1.x86_64.rpm MIT Kerberos5 - Include Files and Libraries
krb5-mini-devel-1.12.5-9.1.x86_64.rpm MIT Kerberos5 - Include Files and Libraries
krb5-plugin-kdb-ldap-1.12.5-12.1.x86_64.rpm MIT Kerberos5 Implementation--LDAP Database Plugin
krb5-plugin-kdb-ldap-1.12.5-16.1.x86_64.rpm MIT Kerberos5 Implementation--LDAP Database Plugin
krb5-plugin-kdb-ldap-1.12.5-19.2.x86_64.rpm MIT Kerberos5 Implementation--LDAP Database Plugin
krb5-plugin-kdb-ldap-1.12.5-22.1.x86_64.rpm MIT Kerberos5 Implementation--LDAP Database Plugin
krb5-plugin-kdb-ldap-1.12.5-25.1.x86_64.rpm MIT Kerberos5 Implementation--LDAP Database Plugin
krb5-plugin-kdb-ldap-1.12.5-9.1.x86_64.rpm MIT Kerberos5 Implementation--LDAP Database Plugin
krb5-plugin-preauth-otp-1.12.5-12.1.x86_64.rpm MIT Kerberos5 Implementation--OTP preauth Plugin
krb5-plugin-preauth-otp-1.12.5-16.1.x86_64.rpm MIT Kerberos5 Implementation--OTP preauth Plugin
krb5-plugin-preauth-otp-1.12.5-19.2.x86_64.rpm MIT Kerberos5 Implementation--OTP preauth Plugin
Advertisement
Advertisement